Bug 844308 - telepathy-salut unusable in F17 because of the firewall
telepathy-salut unusable in F17 because of the firewall
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: telepathy-salut (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
: 995014 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 05:20 EDT by Guillaume Desmottes
Modified: 2015-01-25 09:35 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-25 09:35:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FirewallD service description (515 bytes, text/xml)
2013-09-18 12:13 EDT, Peter Oliver
no flags Details

  None (edit)
Description Guillaume Desmottes 2012-07-30 05:20:40 EDT
It's impossible to chat with any F17 telepathy-salut user because the default firewall is blocking incoming TCP connection.

Fedora should patch Salut to request the firewall to open the port is listening to.
Comment 1 D.S. Ljungmark 2012-07-30 06:02:26 EDT
This is turning into a big issue at Guadec, making Salut unusable.
Comment 2 Brian Pepple 2012-08-30 09:18:49 EDT
I'll give this a look when I get back from vacation next week.
Comment 3 Guillaume Desmottes 2012-11-26 06:11:11 EST
Is this still a problem with F18?
Comment 4 Jean-François Fortin Tam 2012-12-05 00:02:26 EST
Not a problem anymore as far as I can see from some basic smoke testing. Fedora 18 comes with firewalld, and the "firewall-config" UI indicates that it allows mdns to pass through with its default "public" zone...
Comment 5 Fedora End Of Life 2013-04-03 15:14:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Peter Oliver 2013-07-09 10:03:54 EDT
(In reply to Jean-François Fortin Tam from comment #4)
> Not a problem anymore as far as I can see from some basic smoke testing.
> Fedora 18 comes with firewalld, and the "firewall-config" UI indicates that
> it allows mdns to pass through with its default "public" zone...

I wasn't able to initiate chats without also opening port 5298/tcp (named "presence" in /etc/services) on the receiving end.
Comment 7 Peter Oliver 2013-08-25 12:08:02 EDT
*** Bug 995014 has been marked as a duplicate of this bug. ***
Comment 8 Peter Oliver 2013-09-18 12:13:33 EDT
Created attachment 799475 [details]
FirewallD service description

I did a bit more digging, and port 5298 is indeed the default, but if this and 5299 are already in use, a random port is selected instead (http://cgit.freedesktop.org/wocky/tree/wocky/wocky-meta-porter.c?id=779eac498ae44c0e4cb581ae73edfe2d84081673#n1129).  So, opening port 5298 would work most of the time for most people, but not all.

Anyway, attached is a file which if installed in /usr/lib/firewalld/services/, will add an option to firewall-config to open these ports.  I guess this is better than nothing.
Comment 9 Zdenek Chmelar 2013-10-14 14:21:57 EDT
I confirm the solution provided above works. Could it be pushed to default configuration (to add this file under firewall services and enable it) so it works our of the box in Fedora 20? I just upgraded to F20 and there is still the need to update firewall manually with above provided solution.
Comment 10 Fedora End Of Life 2015-01-09 16:59:45 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Peter Oliver 2015-01-25 09:35:48 EST
I believe that these ports are open by default on Fedora 21 Workstation.

Note You need to log in before you can comment on or make changes to this bug.